GLOBAL PUNCT(3)

NAME
boost::xpressive::punct - Matches a punctuation character.

SYNOPSIS

// In header: <boost/xpressive/regex_primitives.hpp>
unspecified punct;

DESCRIPTION

The regex traits are used to determine which characters are punctuation. To match any character that is not punctuation, use ~punct.